Subject: reflectionService property in AbstractViewHelper should be protected instead of private
Description

The property "reflectionService" in the AbstractViewHelper should be protected instead of private to allow usage of the reflection
service in view helpers without having to inject again with another property name.

Needed here: https://review.typo3.org/#/c/9695 - see general comments and comments here 
https://review.typo3.org/#/c/9695/2/Classes/ViewHelpers/Widget/CommentsViewHelper.php

Associated revisions
Revision 4b3c0967 - 2012-07-25 15:24 - Aske Ertmann 

[TASK] Make reflectionService property in AbstractViewHelper protected

The property "reflectionService" in the AbstractViewHelper should be
protected instead of private to allow usage of the reflection service in
view helpers without having to inject again with another property name.

Change-Id: I438e2d98c2c1cf31c4db73ef28130eebb24c9782
Resolves: #39255
Releases: 1.2

History
#1 - 2012-07-25 15:20 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/13042

#2 - 2012-07-25 15:21 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/13042

#3 - 2012-07-25 15:21 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/13042
#4 - 2012-07-25 15:24 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/13042

#5 - 2012-08-07 17:35 - Anonymous
- Status changed from Under Review to Resolved
- % Done changed from 90 to 100

Applied in changeset commit:4b3c0967b73ebe13e044dab061192999c016b60b.
